Subject: no code for module (guix ui)

From: Leo Famulari <[email-masked]>
Date: Fri, 6 May 2016 22:59:36 -0400

>From commit bdb2d56ee (gnu: mutt: Update to 1.6.1.), I applied a patch
from guix-devel [0], tried to build a package, and got a backtrace as
shown below.

I had rebuilt from the git tree recently, but I'm not sure exactly when.

It goes away after I rebuild.

---
$ ./pre-inst-env guix build hello
Backtrace:                               
In ice-9/boot-9.scm:
 157: 12 [catch #t #<catch-closure 19e4ba0> ...]
In unknown file:
   ?: 11 [apply-smob/1 #<catch-closure 19e4ba0>]
In ice-9/boot-9.scm:
  63: 10 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
 432: 9 [eval # #]
In ice-9/boot-9.scm:
2401: 8 [save-module-excursion #<procedure 1a01940 at ice-9/boot-9.scm:4045:3 ()>]
4050: 7 [#<procedure 1a01940 at ice-9/boot-9.scm:4045:3 ()>]
1724: 6 [%start-stack load-stack ...]
1729: 5 [#<procedure 1a18ea0 ()>]
In unknown file:
   ?: 4 [primitive-load "/gnu/store/9p7mf2a21c6a5k06jgbb9yg9abx7ilh9-guix-0.10.0-0.8062/bin/.guix-real"]
In ice-9/eval.scm:
 411: 3 [eval # #]
 387: 2 [eval # #]
In ice-9/boot-9.scm:
2867: 1 [resolve-interface (guix ui) #:select ...]
In unknown file:
   ?: 0 [scm-error misc-error #f "~A ~S" ("no code for module" (guix ui)) #f]

ERROR: In procedure scm-error:
ERROR: no code for module (guix ui)
---

[0] I've had this issue several times recently, without this patch.

It was this patch:
http://lists.gnu.org/archive/html/guix-devel/2016-05/msg00204.html

It commits as 13416a10afdbad6546ef7943d93aba795ee5703b